%define modulename html5-parser

Name:		python-%{modulename}
Summary:	Fast C based HTML 5 parsing for python
Version:	0.4.10
Release:	%mkrel 1
Group:		Development/Python
License:	Apache 2.0
URL:		https://pypi.python.org/project/html5-parser
Source0:	https://files.pythonhosted.org/packages/source/h/%{modulename}/%{modulename}-%{version}.tar.xz

%description
A fast, standards compliant, C based, HTML 5 parser for python. Over thirty
times as fast as pure python based parsers, such as html5lib.

%package -n python3-%{modulename}
Summary:	A Python 3 based HTML parser/tokenizer
Group:		Development/Python
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	python3-devel
BuildRequires:  python3-setuptools
%{?python_provide:%python_provide python3-%{modulename}}

%description -n python3-%{modulename}
A fast, standards compliant, C based, HTML 5 parser for python. Over thirty
times as fast as pure python based parsers, such as html5lib.

%prep
%setup -q -n %{modulename}-%{version}

%build
%py3_build

%install
%py3_install

%check
nosetests || true
nosetests-%{python3_version} || true

%files -n python3-%{modulename}
%{python3_sitearch}/html5_parser-*.egg-info
%{python3_sitearch}/html5_parser

%changelog
* Fri Aug 12 2022 TerryN <terryn94 at gmail.com> 0.4.10-1pclos2022
- update and rebuild for python 3.10

* Fri Oct 04 2019 tex - 0.4.8-1pclos2019
- update
